Bug 1521 - Создание логов
Summary: Создание логов
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: apt (show other bugs)
Version: unstable
Hardware: all Linux
: P4 enhancement
Assignee: Gleb F-Malinovskiy
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-06 01:35 MSK by serg
Modified: 2010-10-09 16:04 MSD (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description serg 2002-11-06 01:35:32 MSK
Неплохо было-бы вести логи, а то при установке большого кол-ва 
пакетов (что весьма характерно для dist-upgrade) информационные сообщения теряются, что часто приводит к ошибкам в файлах конфигураций. Да и в общем следить за обновлением системы было-бы значительно удобнее. 
---

---

Comment 1 Evgenii Terechkov 2007-06-24 19:21:02 MSD
(In reply to comment #0)
> Неплохо было-бы вести логи, а то при установке большого кол-ва 
> пакетов (что весьма характерно для dist-upgrade) информационные сообщения
теряются, что часто приводит к ошибкам в файлах конфигураций. Да и в общем
следить за обновлением системы было-бы значительно удобнее. 

apt-get install apt-log. Потестите кто-нить (УМВР) да можно закрывать эту
престарелую багу.
Comment 2 Evgenii Terechkov 2007-06-24 19:55:13 MSD
Хотя решение, конечно, половинчатое: вывод rpm-а (stderr, etc...) в лог не
попадает. Но лучше чем ничего.
Comment 3 inger@altlinux.org 2009-10-01 18:38:39 MSD
(В ответ на комментарий №2)
> Хотя решение, конечно, половинчатое: вывод rpm-а (stderr, etc...) в лог не
> попадает. Но лучше чем ничего.

А разве rpm не пишет ничего в логи?
Comment 4 Andrey Rahmatullin 2009-10-01 20:53:39 MSD
(В ответ на комментарий №3)
> > Хотя решение, конечно, половинчатое: вывод rpm-а (stderr, etc...) в лог не
> > попадает. Но лучше чем ничего.
> А разве rpm не пишет ничего в логи?
Как и апт, только устанавливаемые и удаляемые пакеты.
Comment 5 Michael Shigorin 2010-10-09 12:18:35 MSD
Пришлось сделать touch /var/log/apt.log (который после установки пакета был missing), иначе не создавал.  А после этого -- работает, спасибо.
Comment 6 Evgenii Terechkov 2010-10-09 15:28:16 MSD
2mike: у меня в хешере apt-log создаёт /v/l/apt.log после первого же вызова apt-get (и должен ещё максимум через день создаваться via logrotate). Руками создавать не вижу необходимости.
Comment 7 Michael Shigorin 2010-10-09 16:04:30 MSD
Ну и FIXED.